r6735 - packages/trunk/openal-soft/debian

Andres Mejia ceros-guest at alioth.debian.org
Wed Apr 23 23:30:03 UTC 2008


Author: ceros-guest
Date: 2008-04-23 23:30:03 +0000 (Wed, 23 Apr 2008)
New Revision: 6735

Added:
   packages/trunk/openal-soft/debian/openal-config
   packages/trunk/openal-soft/debian/openal-config.1
Modified:
   packages/trunk/openal-soft/debian/changelog
   packages/trunk/openal-soft/debian/libopenal-dev.install
   packages/trunk/openal-soft/debian/rules
Log:
Add openal-config for libopenal-dev package

Modified: packages/trunk/openal-soft/debian/changelog
===================================================================
--- packages/trunk/openal-soft/debian/changelog	2008-04-23 22:03:33 UTC (rev 6734)
+++ packages/trunk/openal-soft/debian/changelog	2008-04-23 23:30:03 UTC (rev 6735)
@@ -15,5 +15,6 @@
   * Added README.Debian.
   * Including pkgconfig file.
   * Generate shlibs file with exact version information as well.
+  * Add openal-config script.
 
  -- Andres Mejia <mcitadel at gmail.com>  Wed, 23 Apr 2008 01:47:40 -0400

Modified: packages/trunk/openal-soft/debian/libopenal-dev.install
===================================================================
--- packages/trunk/openal-soft/debian/libopenal-dev.install	2008-04-23 22:03:33 UTC (rev 6734)
+++ packages/trunk/openal-soft/debian/libopenal-dev.install	2008-04-23 23:30:03 UTC (rev 6735)
@@ -2,3 +2,4 @@
 debian/tmp/usr/lib/lib*.so
 debian/tmp/usr/lib/lib*.a
 debian/tmp/usr/lib/pkgconfig/*
+debian/tmp/usr/bin/openal-config

Added: packages/trunk/openal-soft/debian/openal-config
===================================================================
--- packages/trunk/openal-soft/debian/openal-config	                        (rev 0)
+++ packages/trunk/openal-soft/debian/openal-config	2008-04-23 23:30:03 UTC (rev 6735)
@@ -0,0 +1,176 @@
+#!/bin/sh
+
+prefix="/usr"
+exec_prefix="${prefix}"
+bindir="${exec_prefix}/bin"
+includedir="${prefix}/include/AL"
+libdir="${exec_prefix}/lib"
+PACKAGE_VERSION="1.3.253"
+# PTHREAD_CFLAGS=""
+# PTHREAD_LIBS="-lpthread"
+
+openal_dynamic_ldflags="-lopenal"
+# TODO: configure should provide the following...
+openal_static_ldflags="-lopenal"
+
+prefix_set=no
+echo_prefix=no
+exec_prefix_set=no
+echo_exec_prefix=no
+bindir_set=no
+echo_bindir=no
+includedir_set=no
+echo_includedir=no
+libdir_set=no
+echo_libdir=no
+echo_version=no
+echo_cflags=no
+static_libs=no
+echo_libs=no
+
+usage()
+{
+  cat <<EOF 1>&2
+Usage: openal-config [OPTIONS]
+Options:
+  --prefix[=DIR]       print/set default prefix
+  --exec-prefix[=DIR]  print/set prefix for machine-specific files
+  --bindir[=DIR]       print/set prefix for executable programs
+  --includedir[=DIR]   print/set prefix for include files
+  --libdir[=DIR]       print/set prefix for libraries
+  --version            print OpenAL package version
+  --cflags             print flags for C compiler
+  --static             specify that static linker flags are wanted
+  --libs               print flags for linker
+EOF
+  exit 1
+}
+
+if test $# -eq 0; then
+  usage
+fi
+
+while test $# -gt 0; do
+  case "$1" in
+  -*=*) optarg=`echo "$1" | sed 's/[-_a-zA-Z0-9]*=//'` ;;
+  *) optarg="" ;;
+  esac
+
+  case $1 in
+    --prefix=*)
+      prefix="${optarg}"
+      prefix_set="yes"
+      ;;
+    --prefix)
+      echo_prefix="yes"
+      ;;
+    --exec-prefix=*)
+      exec_prefix="${optarg}"
+      exec_prefix_set="yes"
+      ;;
+    --exec-prefix)
+      echo_exec_prefix="yes"
+      ;;
+    --bindir=*)
+      bindir="${optarg}"
+      bindir_set="yes"
+      ;;
+    --bindir)
+      echo_bindir="yes"
+      ;;
+    --includedir=*)
+      includedir="${optarg}"
+      includedir_set="yes"
+      ;;
+    --includedir)
+      echo_includedir="yes"
+      ;;
+    --libdir=*)
+      libdir="${optarg}"
+      libdir_set="yes"
+      ;;
+    --libdir)
+      echo_libdir="yes"
+      ;;
+    --version)
+      echo_version="yes"
+      ;;
+    --cflags)
+      echo_cflags="yes"
+      ;;
+    --static)
+      static_libs="yes"
+      ;;
+    --libs)
+      echo_libs="yes"
+      ;;
+    *)
+      usage
+      ;;
+  esac
+  shift
+done
+
+if test "${echo_prefix}" = "yes"; then
+  echo "${prefix}"
+fi
+
+if test "${exec_prefix_set}" = "no" && test "${prefix_set}" = "yes"; then
+  exec_prefix="$prefix"
+  exec_prefix_set="yes"
+fi
+
+if test "$echo_exec_prefix" = "yes"; then
+  echo "${exec_prefix}"
+fi
+
+if test "${bindir_set}" = "no" && test "${exec_prefix_set}" = "yes"; then
+  bindir="${exec_prefix}/bin"
+fi
+
+if test "$echo_bindir" = "yes"; then
+  echo "${bindir}"
+fi
+
+if test "${includedir_set}" = "no" && test "${prefix_set}" = "yes"; then
+  includedir="${prefix}/include"
+fi
+
+if test "$echo_includedir" = "yes"; then
+  echo "${includedir}"
+fi
+
+if test "${libdir_set}" = "no" && test "${exec_prefix_set}" = "yes"; then
+  libdir="${exec_prefix}/lib"
+fi
+
+if test "$echo_libdir" = "yes"; then
+  echo "${libdir}"
+fi
+
+if test "$echo_version" = "yes"; then
+  echo "${PACKAGE_VERSION}"
+fi
+
+if test "$echo_cflags" = "yes"; then
+  if test "${includedir}" = "/usr/include" ; then
+    incpath=""
+  else
+    incpath="-I${includedir}"
+  fi
+  echo "${PTHREAD_CFLAGS} ${incpath}"
+fi
+
+if test "$echo_libs" = "yes"; then
+  if test "${libdir}" = "/usr/lib" ; then
+    libpathflag=""
+  else
+    libpathflag="-L${libdir}"
+  fi
+  if test "${static_libs}" = "yes"; then
+     ldflags="${openal_static_ldflags}"
+  else
+     ldflags="${openal_dynamic_ldflags}"
+  fi
+  echo "${libpathflag} ${ldflags} ${PTHREAD_LIBS}"
+fi

Added: packages/trunk/openal-soft/debian/openal-config.1
===================================================================
--- packages/trunk/openal-soft/debian/openal-config.1	                        (rev 0)
+++ packages/trunk/openal-soft/debian/openal-config.1	2008-04-23 23:30:03 UTC (rev 6735)
@@ -0,0 +1,56 @@
+.TH openal-config 1 "2008-04-23" "OpenAL 1.3.253"
+.SH NAME
+openal-config \- script to get information about the installed version of OpenAL
+.SH SYNOPSIS
+.B openal-config
+[ \-\-prefix=\fIDIR\fR ]
+[ \-\-exec-prefix=\fIDIR\fR ]
+[ \-\-version ] [ \-\-cflags ] [ \-\-libs ]
+.SH DESCRIPTION
+.B openal-config
+is a tool that is used to configure and determine the compiler and linker flags
+that should be used to compile and link programs and libraries that use OpenAL.
+.SH OPTIONS
+.TP
+.B \-\-cflags
+Print the compiler flags that are necessary to compile a program or library that
+uses OpenAL.
+.TP
+.BI \-\-exec\-prefix= DIR
+If specified, use \fIDIR\fR instead of the installation exec prefix that OpenAL
+was built with when computing the output for the \-\-cflags and \-\-libs
+options. This option must be specified before any of the \-\-cflags and \-\-libs
+options.
+.TP
+.B \-\-libs
+Print the linker flags that are necessary to link a program or library that uses
+OpenAL.
+.TP
+.BI \-\-prefix= DIR
+If specified, use \fIDIR\fR instead of the installation prefix that OpenAL was
+built with when computing the output for the \-\-cflags and \-\-libs options.
+If \-\-exec\-prefix was not specified, \fIDIR\fR is also used as exec prefix.
+This option must be specified before any of the \-\-cflags and \-\-libs options.
+.TP
+.B \-\-version
+Prints the currently installed version of OpenAL on standard output.
+.SH EXAMPLES
+.PP
+To compile a C source file for use in an executable program that uses OpenAL,
+type a command like this:
+.IP
+.B gcc $(sdl\-config \-\-cflags) \-c main.c \-o main.o
+.PP
+To link the resulting object file into an executable program, use a command like
+the following:
+.IP
+.B gcc \-o my_app main.o util.o $(sdl\-config \-\-libs)
+.SH AUTHOR
+OpenAL was written by Juan Carlos Arevalo Baeza, Jonathan Blow, Keith Charley,
+Scott Draeker, John Grantham, Jacob Hawley, Garin Hiebert, Carlos Hasan, Nathan
+Hill, Bill Huey, Mike Jarosch, Jean-Marc Jot, Maxim Kizub, John Kraft, Bernd
+Kreimeier, Ian Ollmann, Rick Overman, Sean L. Palmer, Sven Panne, Pierre
+Phaneuf, Terry Sikes, Joseph Valenzuela, Michael Vance, and Carlo Vogelsang.
+.PP
+This manual page was written by Thierry Reding for the Debian Project (but may
+be used by others).

Modified: packages/trunk/openal-soft/debian/rules
===================================================================
--- packages/trunk/openal-soft/debian/rules	2008-04-23 22:03:33 UTC (rev 6734)
+++ packages/trunk/openal-soft/debian/rules	2008-04-23 23:30:03 UTC (rev 6735)
@@ -73,6 +73,8 @@
 	cp alsoftrc.sample debian/tmp/etc/openal/alsoft.conf
 	mkdir -p debian/tmp/usr/lib/pkgconfig
 	cp debian/openal.pc debian/tmp/usr/lib/pkgconfig/openal.pc
+	mkdir -p debian/tmp/usr/bin
+	cp debian/openal-config debian/tmp/usr/bin/openal-config
 
 # Build architecture-independent files here.
 binary-indep: build install
@@ -85,7 +87,7 @@
 	dh_installdocs -a
 	dh_installexamples -a
 	dh_install -a
-	dh_installman -a
+	dh_installman -plibopenal-dev debian/openal-config.1
 ifeq (,$(findstring nostrip,$(DEB_BUILD_OPTIONS)))
 	dh_strip -a
 endif




More information about the Pkg-games-commits mailing list